Package tigase.server.ext.handlers

## Class BindProcessor

- java.lang.Object
- - tigase.server.ext.handlers.BindProcessor

- All Implemented Interfaces:
    `ExtProcessor`

      public class BindProcessor
      extends java.lang.Object
      implements ExtProcessor

  Created: Nov 2, 2009 2:37:18 PM
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindProcessor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getId()` |
    `java.util.List<Element>` | `getStreamFeatures​(ComponentIOService serv, ComponentProtocolHandler handler)` |
    `boolean` | `process​(Packet p, ComponentIOService serv, ComponentProtocolHandler handler, java.util.Queue<Packet> results)` |
    `void` | `startProcessing​(Packet p, ComponentIOService serv, ComponentProtocolHandler handler, java.util.Queue<Packet> results)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindProcessor

          public BindProcessor()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `ExtProcessor`

    - #### getStreamFeatures

          public java.util.List<Element> getStreamFeatures​(ComponentIOService serv,
                                                           ComponentProtocolHandler handler)

      Specified by:
        `getStreamFeatures` in interface `ExtProcessor`

    - #### process

          public boolean process​(Packet p,
                                 ComponentIOService serv,
                                 ComponentProtocolHandler handler,
                                 java.util.Queue<Packet> results)

      Specified by:
        `process` in interface `ExtProcessor`

    - #### startProcessing

          public void startProcessing​(Packet p,
                                      ComponentIOService serv,
                                      ComponentProtocolHandler handler,
                                      java.util.Queue<Packet> results)

      Specified by:
        `startProcessing` in interface `ExtProcessor`